// Code generated by protoc-gen-go. DO NOT EDIT.
// source: manager.proto

package manager

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Emulation paramters
// The alternative would be to define an "enum" which would allow for easier extensability, but at the expense of a little complexity.  Currently only bandwidth and delay are supported by the XIR
type LinkParams struct {
	Capacity             int64    `protobuf:"varint,1,opt,name=capacity,proto3" json:"capacity,omitempty"`
	Latency              int32    `protobuf:"varint,2,opt,name=latency,proto3" json:"latency,omitempty"`
	Loss                 float32  `protobuf:"fixed32,3,opt,name=loss,proto3" json:"loss,omitempty"`
	EnforceLoss          bool     `protobuf:"varint,4,opt,name=enforce_loss,json=enforceLoss,proto3" json:"enforce_loss,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LinkParams) Reset()         { *m = LinkParams{} }
func (m *LinkParams) String() string { return proto.CompactTextString(m) }
func (*LinkParams) ProtoMessage()    {}
func (*LinkParams) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{0}
}

func (m *LinkParams) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LinkParams.Unmarshal(m, b)
}
func (m *LinkParams) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LinkParams.Marshal(b, m, deterministic)
}
func (m *LinkParams) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LinkParams.Merge(m, src)
}
func (m *LinkParams) XXX_Size() int {
	return xxx_messageInfo_LinkParams.Size(m)
}
func (m *LinkParams) XXX_DiscardUnknown() {
	xxx_messageInfo_LinkParams.DiscardUnknown(m)
}

var xxx_messageInfo_LinkParams proto.InternalMessageInfo

func (m *LinkParams) GetCapacity() int64 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

func (m *LinkParams) GetLatency() int32 {
	if m != nil {
		return m.Latency
	}
	return 0
}

func (m *LinkParams) GetLoss() float32 {
	if m != nil {
		return m.Loss
	}
	return 0
}

func (m *LinkParams) GetEnforceLoss() bool {
	if m != nil {
		return m.EnforceLoss
	}
	return false
}

// Definition of a link.
// Can be a duplex or mp link
// Open questions:
// currently there is a "switched" type for how to implement mplink. do we need some other way of passing parameters? right now cogs is hardcoded and we don't support any other type
type LinkSpec struct {
	Interfaces           []string    `protobuf:"bytes,1,rep,name=interfaces,proto3" json:"interfaces,omitempty"`
	Params               *LinkParams `protobuf:"bytes,2,opt,name=params,proto3" json:"params,omitempty"`
	Tags                 []string    `protobuf:"bytes,3,rep,name=tags,proto3" json:"tags,omitempty"`
	ExpNodes             []string    `protobuf:"bytes,4,rep,name=exp_nodes,json=expNodes,proto3" json:"exp_nodes,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *LinkSpec) Reset()         { *m = LinkSpec{} }
func (m *LinkSpec) String() string { return proto.CompactTextString(m) }
func (*LinkSpec) ProtoMessage()    {}
func (*LinkSpec) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{1}
}

func (m *LinkSpec) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LinkSpec.Unmarshal(m, b)
}
func (m *LinkSpec) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LinkSpec.Marshal(b, m, deterministic)
}
func (m *LinkSpec) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LinkSpec.Merge(m, src)
}
func (m *LinkSpec) XXX_Size() int {
	return xxx_messageInfo_LinkSpec.Size(m)
}
func (m *LinkSpec) XXX_DiscardUnknown() {
	xxx_messageInfo_LinkSpec.DiscardUnknown(m)
}

var xxx_messageInfo_LinkSpec proto.InternalMessageInfo

func (m *LinkSpec) GetInterfaces() []string {
	if m != nil {
		return m.Interfaces
	}
	return nil
}

func (m *LinkSpec) GetParams() *LinkParams {
	if m != nil {
		return m.Params
	}
	return nil
}

func (m *LinkSpec) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *LinkSpec) GetExpNodes() []string {
	if m != nil {
		return m.ExpNodes
	}
	return nil
}

// set up a new emulation, generation configuration, run click
type CreateRequest struct {
	EmulationId          int32       `protobuf:"varint,1,opt,name=emulation_id,json=emulationId,proto3" json:"emulation_id,omitempty"`
	Mzid                 string      `protobuf:"bytes,2,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Links                []*LinkSpec `protobuf:"bytes,3,rep,name=links,proto3" json:"links,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *CreateRequest) Reset()         { *m = CreateRequest{} }
func (m *CreateRequest) String() string { return proto.CompactTextString(m) }
func (*CreateRequest) ProtoMessage()    {}
func (*CreateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{2}
}

func (m *CreateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateRequest.Unmarshal(m, b)
}
func (m *CreateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateRequest.Marshal(b, m, deterministic)
}
func (m *CreateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateRequest.Merge(m, src)
}
func (m *CreateRequest) XXX_Size() int {
	return xxx_messageInfo_CreateRequest.Size(m)
}
func (m *CreateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateRequest proto.InternalMessageInfo

func (m *CreateRequest) GetEmulationId() int32 {
	if m != nil {
		return m.EmulationId
	}
	return 0
}

func (m *CreateRequest) GetMzid() string {
	if m != nil {
		return m.Mzid
	}
	return ""
}

func (m *CreateRequest) GetLinks() []*LinkSpec {
	if m != nil {
		return m.Links
	}
	return nil
}

type UpdateSpec struct {
	Tags                 []string    `protobuf:"bytes,1,rep,name=tags,proto3" json:"tags,omitempty"`
	LinkParams           *LinkParams `protobuf:"bytes,2,opt,name=link_params,json=linkParams,proto3" json:"link_params,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *UpdateSpec) Reset()         { *m = UpdateSpec{} }
func (m *UpdateSpec) String() string { return proto.CompactTextString(m) }
func (*UpdateSpec) ProtoMessage()    {}
func (*UpdateSpec) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{3}
}

func (m *UpdateSpec) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateSpec.Unmarshal(m, b)
}
func (m *UpdateSpec) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateSpec.Marshal(b, m, deterministic)
}
func (m *UpdateSpec) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateSpec.Merge(m, src)
}
func (m *UpdateSpec) XXX_Size() int {
	return xxx_messageInfo_UpdateSpec.Size(m)
}
func (m *UpdateSpec) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateSpec.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateSpec proto.InternalMessageInfo

func (m *UpdateSpec) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *UpdateSpec) GetLinkParams() *LinkParams {
	if m != nil {
		return m.LinkParams
	}
	return nil
}

// dyanamic update of link parameters in a running emulation
type UpdateRequest struct {
	EmulationId          int32         `protobuf:"varint,1,opt,name=emulation_id,json=emulationId,proto3" json:"emulation_id,omitempty"`
	Updates              []*UpdateSpec `protobuf:"bytes,2,rep,name=updates,proto3" json:"updates,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *UpdateRequest) Reset()         { *m = UpdateRequest{} }
func (m *UpdateRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateRequest) ProtoMessage()    {}
func (*UpdateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{4}
}

func (m *UpdateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateRequest.Unmarshal(m, b)
}
func (m *UpdateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateRequest.Marshal(b, m, deterministic)
}
func (m *UpdateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateRequest.Merge(m, src)
}
func (m *UpdateRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateRequest.Size(m)
}
func (m *UpdateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateRequest proto.InternalMessageInfo

func (m *UpdateRequest) GetEmulationId() int32 {
	if m != nil {
		return m.EmulationId
	}
	return 0
}

func (m *UpdateRequest) GetUpdates() []*UpdateSpec {
	if m != nil {
		return m.Updates
	}
	return nil
}

type ListRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListRequest) Reset()         { *m = ListRequest{} }
func (m *ListRequest) String() string { return proto.CompactTextString(m) }
func (*ListRequest) ProtoMessage()    {}
func (*ListRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{5}
}

func (m *ListRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListRequest.Unmarshal(m, b)
}
func (m *ListRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListRequest.Marshal(b, m, deterministic)
}
func (m *ListRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListRequest.Merge(m, src)
}
func (m *ListRequest) XXX_Size() int {
	return xxx_messageInfo_ListRequest.Size(m)
}
func (m *ListRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListRequest proto.InternalMessageInfo

type Emulation struct {
	Id                   int32    `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Mzid                 string   `protobuf:"bytes,2,opt,name=mzid,proto3" json:"mzid,omitempty"`
	Pid                  int32    `protobuf:"varint,3,opt,name=pid,proto3" json:"pid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Emulation) Reset()         { *m = Emulation{} }
func (m *Emulation) String() string { return proto.CompactTextString(m) }
func (*Emulation) ProtoMessage()    {}
func (*Emulation) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{6}
}

func (m *Emulation) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Emulation.Unmarshal(m, b)
}
func (m *Emulation) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Emulation.Marshal(b, m, deterministic)
}
func (m *Emulation) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Emulation.Merge(m, src)
}
func (m *Emulation) XXX_Size() int {
	return xxx_messageInfo_Emulation.Size(m)
}
func (m *Emulation) XXX_DiscardUnknown() {
	xxx_messageInfo_Emulation.DiscardUnknown(m)
}

var xxx_messageInfo_Emulation proto.InternalMessageInfo

func (m *Emulation) GetId() int32 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Emulation) GetMzid() string {
	if m != nil {
		return m.Mzid
	}
	return ""
}

func (m *Emulation) GetPid() int32 {
	if m != nil {
		return m.Pid
	}
	return 0
}

type ListResponse struct {
	Emulations           []*Emulation `protobuf:"bytes,1,rep,name=emulations,proto3" json:"emulations,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *ListResponse) Reset()         { *m = ListResponse{} }
func (m *ListResponse) String() string { return proto.CompactTextString(m) }
func (*ListResponse) ProtoMessage()    {}
func (*ListResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{7}
}

func (m *ListResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListResponse.Unmarshal(m, b)
}
func (m *ListResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListResponse.Marshal(b, m, deterministic)
}
func (m *ListResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListResponse.Merge(m, src)
}
func (m *ListResponse) XXX_Size() int {
	return xxx_messageInfo_ListResponse.Size(m)
}
func (m *ListResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListResponse proto.InternalMessageInfo

func (m *ListResponse) GetEmulations() []*Emulation {
	if m != nil {
		return m.Emulations
	}
	return nil
}

type ShowRequest struct {
	Mzid                 string   `protobuf:"bytes,1,opt,name=mzid,proto3" json:"mzid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ShowRequest) Reset()         { *m = ShowRequest{} }
func (m *ShowRequest) String() string { return proto.CompactTextString(m) }
func (*ShowRequest) ProtoMessage()    {}
func (*ShowRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{8}
}

func (m *ShowRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ShowRequest.Unmarshal(m, b)
}
func (m *ShowRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ShowRequest.Marshal(b, m, deterministic)
}
func (m *ShowRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ShowRequest.Merge(m, src)
}
func (m *ShowRequest) XXX_Size() int {
	return xxx_messageInfo_ShowRequest.Size(m)
}
func (m *ShowRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ShowRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ShowRequest proto.InternalMessageInfo

func (m *ShowRequest) GetMzid() string {
	if m != nil {
		return m.Mzid
	}
	return ""
}

// show details of a particular mzid
type ShowResponse struct {
	Links                []*LinkSpec `protobuf:"bytes,1,rep,name=links,proto3" json:"links,omitempty"`
	Mzid                 string      `protobuf:"bytes,2,opt,name=mzid,proto3" json:"mzid,omitempty"`
	EmulationId          int32       `protobuf:"varint,3,opt,name=emulation_id,json=emulationId,proto3" json:"emulation_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ShowResponse) Reset()         { *m = ShowResponse{} }
func (m *ShowResponse) String() string { return proto.CompactTextString(m) }
func (*ShowResponse) ProtoMessage()    {}
func (*ShowResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{9}
}

func (m *ShowResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ShowResponse.Unmarshal(m, b)
}
func (m *ShowResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ShowResponse.Marshal(b, m, deterministic)
}
func (m *ShowResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ShowResponse.Merge(m, src)
}
func (m *ShowResponse) XXX_Size() int {
	return xxx_messageInfo_ShowResponse.Size(m)
}
func (m *ShowResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ShowResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ShowResponse proto.InternalMessageInfo

func (m *ShowResponse) GetLinks() []*LinkSpec {
	if m != nil {
		return m.Links
	}
	return nil
}

func (m *ShowResponse) GetMzid() string {
	if m != nil {
		return m.Mzid
	}
	return ""
}

func (m *ShowResponse) GetEmulationId() int32 {
	if m != nil {
		return m.EmulationId
	}
	return 0
}

// generic structure for operation on a particular emulation
type EmulationRequest struct {
	EmulationId          int32    `protobuf:"varint,1,opt,name=emulation_id,json=emulationId,proto3" json:"emulation_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EmulationRequest) Reset()         { *m = EmulationRequest{} }
func (m *EmulationRequest) String() string { return proto.CompactTextString(m) }
func (*EmulationRequest) ProtoMessage()    {}
func (*EmulationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{10}
}

func (m *EmulationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EmulationRequest.Unmarshal(m, b)
}
func (m *EmulationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EmulationRequest.Marshal(b, m, deterministic)
}
func (m *EmulationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EmulationRequest.Merge(m, src)
}
func (m *EmulationRequest) XXX_Size() int {
	return xxx_messageInfo_EmulationRequest.Size(m)
}
func (m *EmulationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_EmulationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_EmulationRequest proto.InternalMessageInfo

func (m *EmulationRequest) GetEmulationId() int32 {
	if m != nil {
		return m.EmulationId
	}
	return 0
}

type MoaResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *MoaResponse) Reset()         { *m = MoaResponse{} }
func (m *MoaResponse) String() string { return proto.CompactTextString(m) }
func (*MoaResponse) ProtoMessage()    {}
func (*MoaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_cde9ec64f0d2c859, []int{11}
}

func (m *MoaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MoaResponse.Unmarshal(m, b)
}
func (m *MoaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MoaResponse.Marshal(b, m, deterministic)
}
func (m *MoaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MoaResponse.Merge(m, src)
}
func (m *MoaResponse) XXX_Size() int {
	return xxx_messageInfo_MoaResponse.Size(m)
}
func (m *MoaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_MoaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_MoaResponse proto.InternalMessageInfo

func init() {
	proto.RegisterType((*LinkParams)(nil), "manager.LinkParams")
	proto.RegisterType((*LinkSpec)(nil), "manager.LinkSpec")
	proto.RegisterType((*CreateRequest)(nil), "manager.CreateRequest")
	proto.RegisterType((*UpdateSpec)(nil), "manager.UpdateSpec")
	proto.RegisterType((*UpdateRequest)(nil), "manager.UpdateRequest")
	proto.RegisterType((*ListRequest)(nil), "manager.ListRequest")
	proto.RegisterType((*Emulation)(nil), "manager.Emulation")
	proto.RegisterType((*ListResponse)(nil), "manager.ListResponse")
	proto.RegisterType((*ShowRequest)(nil), "manager.ShowRequest")
	proto.RegisterType((*ShowResponse)(nil), "manager.ShowResponse")
	proto.RegisterType((*EmulationRequest)(nil), "manager.EmulationRequest")
	proto.RegisterType((*MoaResponse)(nil), "manager.MoaResponse")
}

func init() { proto.RegisterFile("manager.proto", fileDescriptor_cde9ec64f0d2c859) }

var fileDescriptor_cde9ec64f0d2c859 = []byte{
	// 543 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x94, 0x4d, 0x6f, 0x13, 0x31,
	0x10, 0x86, 0xe5, 0x6c, 0x3e, 0x67, 0x13, 0x54, 0x4c, 0x41, 0x21, 0x48, 0x28, 0xf5, 0x85, 0x48,
	0x88, 0x1e, 0x52, 0x28, 0x88, 0x1b, 0x5f, 0x07, 0xa4, 0x14, 0x21, 0x47, 0x70, 0x8d, 0xcc, 0xae,
	0x5b, 0xac, 0x26, 0xb6, 0x59, 0x3b, 0xa2, 0xe1, 0x17, 0x70, 0xe2, 0x37, 0x23, 0x7b, 0xb3, 0x8e,
	0x53, 0x42, 0x21, 0xb7, 0xf1, 0xec, 0x8c, 0xdf, 0x67, 0xc6, 0xaf, 0x16, 0x7a, 0x0b, 0x26, 0xd9,
	0x05, 0x2f, 0x8e, 0x75, 0xa1, 0xac, 0xc2, 0xad, 0xf5, 0x91, 0xac, 0x00, 0x26, 0x42, 0x5e, 0x7e,
	0x64, 0x05, 0x5b, 0x18, 0x3c, 0x80, 0x76, 0xc6, 0x34, 0xcb, 0x84, 0x5d, 0xf5, 0xd1, 0x10, 0x8d,
	0x12, 0x1a, 0xce, 0xb8, 0x0f, 0xad, 0x39, 0xb3, 0x5c, 0x66, 0xab, 0x7e, 0x6d, 0x88, 0x46, 0x0d,
	0x5a, 0x1d, 0x31, 0x86, 0xfa, 0x5c, 0x19, 0xd3, 0x4f, 0x86, 0x68, 0x54, 0xa3, 0x3e, 0xc6, 0x47,
	0xd0, 0xe5, 0xf2, 0x5c, 0x15, 0x19, 0x9f, 0xf9, 0x6f, 0xf5, 0x21, 0x1a, 0xb5, 0x69, 0xba, 0xce,
	0x4d, 0x94, 0x31, 0xe4, 0x27, 0x82, 0xb6, 0xd3, 0x9e, 0x6a, 0x9e, 0xe1, 0x87, 0x00, 0x42, 0x5a,
	0x5e, 0x9c, 0xb3, 0x8c, 0x9b, 0x3e, 0x1a, 0x26, 0xa3, 0x0e, 0x8d, 0x32, 0xf8, 0x31, 0x34, 0xb5,
	0x67, 0xf4, 0xe2, 0xe9, 0xf8, 0xce, 0x71, 0x35, 0xd0, 0x06, 0x9f, 0xae, 0x4b, 0x1c, 0x90, 0x65,
	0x17, 0x0e, 0xc8, 0x5d, 0xe3, 0x63, 0xfc, 0x00, 0x3a, 0xfc, 0x4a, 0xcf, 0xa4, 0xca, 0xb9, 0xa3,
	0x71, 0x1f, 0xda, 0xfc, 0x4a, 0x7f, 0x70, 0x67, 0xa2, 0xa0, 0xf7, 0xa6, 0xe0, 0xcc, 0x72, 0xca,
	0xbf, 0x2d, 0xb9, 0xb1, 0x1e, 0x7f, 0xb1, 0x9c, 0x33, 0x2b, 0x94, 0x9c, 0x89, 0xdc, 0x2f, 0xa3,
	0x41, 0xd3, 0x90, 0x7b, 0x9f, 0x3b, 0x91, 0xc5, 0x0f, 0x91, 0x7b, 0x9e, 0x0e, 0xf5, 0x31, 0x7e,
	0x04, 0x8d, 0xb9, 0x90, 0x97, 0xa5, 0x72, 0x3a, 0xbe, 0xbd, 0x05, 0xe9, 0xe6, 0xa4, 0xe5, 0x77,
	0xf2, 0x19, 0xe0, 0x93, 0xce, 0x99, 0xe5, 0x7e, 0xf8, 0x8a, 0x17, 0x45, 0xbc, 0x4f, 0x21, 0x75,
	0xa5, 0xb3, 0x7f, 0x4f, 0x0d, 0xf3, 0x10, 0x13, 0x06, 0xbd, 0xf2, 0xde, 0x3d, 0x06, 0x79, 0x02,
	0xad, 0xa5, 0xef, 0x71, 0x2a, 0xc9, 0x96, 0xca, 0x86, 0x91, 0x56, 0x35, 0xa4, 0x07, 0xe9, 0x44,
	0x18, 0xbb, 0x16, 0x20, 0xaf, 0xa0, 0xf3, 0xae, 0xba, 0x0c, 0xdf, 0x82, 0x5a, 0xd0, 0xa8, 0x89,
	0xdd, 0x3b, 0x3a, 0x80, 0x44, 0x8b, 0xdc, 0x9b, 0xa5, 0x41, 0x5d, 0x48, 0x5e, 0x43, 0xb7, 0xbc,
	0xd1, 0x68, 0x25, 0x0d, 0xc7, 0x63, 0x80, 0xc0, 0x57, 0x2e, 0x25, 0x1d, 0xe3, 0xc0, 0x14, 0xd4,
	0x68, 0x54, 0x45, 0x8e, 0x20, 0x9d, 0x7e, 0x55, 0xdf, 0xab, 0xb1, 0x2b, 0x61, 0xb4, 0x11, 0x26,
	0x12, 0xba, 0x65, 0xc9, 0x5a, 0x26, 0x3c, 0x16, 0xba, 0xf9, 0xb1, 0x76, 0x4e, 0x71, 0x7d, 0xaf,
	0xc9, 0x1f, 0x7b, 0x25, 0xcf, 0xe0, 0x60, 0xc3, 0xfa, 0xdf, 0xcf, 0xe1, 0xf6, 0x7b, 0xa6, 0x58,
	0x45, 0x39, 0xfe, 0x95, 0x40, 0x72, 0xa6, 0x18, 0x3e, 0x85, 0x66, 0x69, 0x51, 0x7c, 0x2f, 0x80,
	0x6e, 0x79, 0x76, 0x70, 0x18, 0xf2, 0x51, 0x3f, 0x7e, 0x09, 0xad, 0xb7, 0xdc, 0xd8, 0x42, 0xad,
	0xf0, 0xfd, 0x1d, 0x3b, 0xbc, 0xb1, 0xf7, 0x14, 0x9a, 0xa5, 0x03, 0x22, 0xcd, 0x2d, 0x7b, 0xfd,
	0xa5, 0xef, 0x05, 0x34, 0xa6, 0x96, 0x15, 0x76, 0x7f, 0xc5, 0xe7, 0x50, 0x9f, 0x5a, 0xa5, 0xf7,
	0x6f, 0x3c, 0x81, 0xba, 0xf3, 0x10, 0x3e, 0x8c, 0x5e, 0x31, 0x98, 0x74, 0x70, 0xf7, 0x5a, 0x76,
	0xd3, 0xe4, 0x1c, 0x11, 0x35, 0x45, 0x1e, 0x8a, 0x9a, 0x62, 0xdb, 0x7c, 0x69, 0xfa, 0x3f, 0xe8,
	0xc9, 0xef, 0x00, 0x00, 0x00, 0xff, 0xff, 0x89, 0xda, 0xff, 0xc1, 0x52, 0x05, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// MoaClient is the client API for Moa service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MoaClient interface {
	Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*MoaResponse, error)
	Destroy(ctx context.Context, in *EmulationRequest, opts ...grpc.CallOption) (*MoaResponse, error)
	Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*MoaResponse, error)
	Start(ctx context.Context, in *EmulationRequest, opts ...grpc.CallOption) (*MoaResponse, error)
	Stop(ctx context.Context, in *EmulationRequest, opts ...grpc.CallOption) (*MoaResponse, error)
	List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	Show(ctx context.Context, in *ShowRequest, opts ...grpc.CallOption) (*ShowResponse, error)
}

type moaClient struct {
	cc *grpc.ClientConn
}

func NewMoaClient(cc *grpc.ClientConn) MoaClient {
	return &moaClient{cc}
}

func (c *moaClient) Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*MoaResponse, error) {
	out := new(MoaResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaClient) Destroy(ctx context.Context, in *EmulationRequest, opts ...grpc.CallOption) (*MoaResponse, error) {
	out := new(MoaResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/Destroy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaClient) Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*MoaResponse, error) {
	out := new(MoaResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaClient) Start(ctx context.Context, in *EmulationRequest, opts ...grpc.CallOption) (*MoaResponse, error) {
	out := new(MoaResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/Start", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaClient) Stop(ctx context.Context, in *EmulationRequest, opts ...grpc.CallOption) (*MoaResponse, error) {
	out := new(MoaResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/Stop", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaClient) List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaClient) Show(ctx context.Context, in *ShowRequest, opts ...grpc.CallOption) (*ShowResponse, error) {
	out := new(ShowResponse)
	err := c.cc.Invoke(ctx, "/manager.Moa/Show", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MoaServer is the server API for Moa service.
type MoaServer interface {
	Create(context.Context, *CreateRequest) (*MoaResponse, error)
	Destroy(context.Context, *EmulationRequest) (*MoaResponse, error)
	Update(context.Context, *UpdateRequest) (*MoaResponse, error)
	Start(context.Context, *EmulationRequest) (*MoaResponse, error)
	Stop(context.Context, *EmulationRequest) (*MoaResponse, error)
	List(context.Context, *ListRequest) (*ListResponse, error)
	Show(context.Context, *ShowRequest) (*ShowResponse, error)
}

// UnimplementedMoaServer can be embedded to have forward compatible implementations.
type UnimplementedMoaServer struct {
}

func (*UnimplementedMoaServer) Create(ctx context.Context, req *CreateRequest) (*MoaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedMoaServer) Destroy(ctx context.Context, req *EmulationRequest) (*MoaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Destroy not implemented")
}
func (*UnimplementedMoaServer) Update(ctx context.Context, req *UpdateRequest) (*MoaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (*UnimplementedMoaServer) Start(ctx context.Context, req *EmulationRequest) (*MoaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Start not implemented")
}
func (*UnimplementedMoaServer) Stop(ctx context.Context, req *EmulationRequest) (*MoaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Stop not implemented")
}
func (*UnimplementedMoaServer) List(ctx context.Context, req *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (*UnimplementedMoaServer) Show(ctx context.Context, req *ShowRequest) (*ShowResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Show not implemented")
}

func RegisterMoaServer(s *grpc.Server, srv MoaServer) {
	s.RegisterService(&_Moa_serviceDesc, srv)
}

func _Moa_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).Create(ctx, req.(*CreateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Moa_Destroy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmulationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).Destroy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/Destroy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).Destroy(ctx, req.(*EmulationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Moa_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).Update(ctx, req.(*UpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Moa_Start_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmulationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).Start(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/Start",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).Start(ctx, req.(*EmulationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Moa_Stop_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EmulationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).Stop(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/Stop",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).Stop(ctx, req.(*EmulationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Moa_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).List(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Moa_Show_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ShowRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaServer).Show(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/manager.Moa/Show",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaServer).Show(ctx, req.(*ShowRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Moa_serviceDesc = grpc.ServiceDesc{
	ServiceName: "manager.Moa",
	HandlerType: (*MoaServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _Moa_Create_Handler,
		},
		{
			MethodName: "Destroy",
			Handler:    _Moa_Destroy_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _Moa_Update_Handler,
		},
		{
			MethodName: "Start",
			Handler:    _Moa_Start_Handler,
		},
		{
			MethodName: "Stop",
			Handler:    _Moa_Stop_Handler,
		},
		{
			MethodName: "List",
			Handler:    _Moa_List_Handler,
		},
		{
			MethodName: "Show",
			Handler:    _Moa_Show_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "manager.proto",
}
